const injectSecret = async ({
  databaseName,
  escapeId,
  escape,
  secretsTableName,
  executeStatement
}, {
  id,
  secret
}) => {
  const databaseNameAsId = escapeId(databaseName);
  const secretsTableAsId = escapeId(secretsTableName);
  await executeStatement(`INSERT INTO ${databaseNameAsId}.${secretsTableAsId}(
      "id",
      "secret"
    ) VALUES(
      ${escape(id)},
      ${escape(secret)}
    )`);
};

export default injectSecret;
//# sourceMappingURL=inject-secret.js.map