import getLog from '../get-log';

const dispose = async (pool, options) => {
  const log = getLog(`resource:dispose`);
  const {
    destroyResource,
    createResource
  } = pool;
  log.debug(`destroying the resource`);
  await destroyResource(options);
  log.debug(`re-creating the resource`);
  await createResource(options);
  log.debug(`resource disposed successfully`);
};

export default dispose;
//# sourceMappingURL=dispose.js.map